package com.fdkankan.scene.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.scene.entity.Scene;
import com.fdkankan.scene.entity.ScenePO;
import com.fdkankan.scene.entity.SceneProPO;
import com.fdkankan.scene.vo.SceneParamVO;
import com.fdkankan.scene.vo.SceneVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 场景表 Mapper 接口
 * </p>
 *
 * @author dengsixing
 * @since 2021-12-23
 */
@Mapper
public interface ISceneMapper extends BaseMapper<Scene> {

    ScenePO findByNum(@Param("sceneCode")String sceneCode);

    List<SceneVO> queryByParam(Page<SceneVO> page, SceneParamVO param);

    List<SceneVO> queryByParamNew(Page<SceneVO> page, SceneParamVO param);

    List<ScenePO> findAllByYesterday();

    Page<SceneProPO> findAllScene(Page page, @Param("param")SceneParamVO param);

    Page<ScenePO> unionSearchBySceneName(Page<ScenePO> page, @Param("searchKey") String searchKey);

    List<SceneProPO> getOnlySceneList(SceneParamVO param);

    Page<ScenePO> selectScenePoByCondition(Page<ScenePO> page, @Param("param")SceneParamVO param);
}
